Skip to main content
Topic: cache error + Highslide-Image-Viewer (Read 628 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

cache error + Highslide-Image-Viewer

Guys, i wanted to try the cache setup. there were 2 options to get file-based -if i remember correctly- and mysql.
as a test i set mysql and now my site is inaccessible...what can i do to get it working again?

error message: HTTP ERROR 500
Last Edit: April 03, 2023, 01:37:09 pm by ' Tzs ,


Re: cache error

Reply #2

:point_up_2:  that .... repair settings should allow you to turn off the cache.  You can also edit your Settings.php file and find $cache_enable and set it to 0

Cache should not make your server throw a 500 ... check your server php error log and let us know what the error is just incase its a bug of some form.

Cache options are File Based (OK if you have enough traffic, but can be slower for low traffic sites), MemCache and APC (those need to be installed on the server and be functional, ElkArte simple makes API calls to those server based functions).  All of those cache user data (basically db calls) for a few mins to reduce DB overhead.

All recent PHP versions will (likely) have OpCache enabled as well, this is a cache of the "complied" PHP scripts which improves server performance, nothing really to do with Elk, I'm just making a clarification.

 

Re: cache error

Reply #3

Guys, thank you! The repair_settings helped! Now I'm wondering how I should upgrade to 1.19.

To get almost everything I want in Elkarte, I need this -or similar- package:
https://custom.simplemachines.org/index.php?mod=1450
https://github.com/realdigger/SMF-Highslide-Image-Viewer

I see that there is active development on Github, do you think this could be implemented in Elkarte?
Or is there no package like this for Elkarte?

Re: cache error

Reply #4

Quote from: ' Tzs , – Or is there no package like this for Elkarte?
Elkarte has an integrated viewer, similar to what you asked, if it isn't enough for you can have a look at Fancybox addon https://elkarte.github.io/addons//enhancement/FancyBox.html
sorry for my bad english

Re: cache error

Reply #5

Thanks answer, I'm not good at English sorry, I'll show so... It's not bad, but unfortunately it doesn't work like HSI. When i paste an image, clicking on the image opens the same size image, instead of the original and in a different window.

https://www.tzsweb.net/forum/index.php?topic=1224.new#new

"Válasz #2"
you can't click on the image, you can only click on the text underneath it, which will bring up this:
http://ujforras.hu/wp-content/uploads/2014/11/nyomtalanul_plakat-600x860.jpg

(válasz 2: [ img width=200 height=320]http://ujforras.hu/wp-content/uploads/2014/11/nyomtalanul_plakat-600x860.jpg[/img ])

which is perfect, but it should appear at the same time as the "Válasz #3"
shown in. Can understand what I mean? Of course, maybe my settings are wrong...or I don't know.

(válasz 3: [ img width=548 height=786]http://ujforras.hu/wp-content/uploads/2014/11/nyomtalanul_plakat-600x860.jpg[/img ])

I good setup?

Last Edit: April 03, 2023, 01:40:02 pm by ' Tzs ,

Re: cache error + Highslide-Image-Viewer

Reply #6

Keep an eye on this topic https://www.elkarte.net/community/index.php?topic=1373.new#new
it seems that highslide is not active for images inserted with attributes like width or height.
sorry for my bad english

Re: cache error + Highslide-Image-Viewer

Reply #7

The only image I could see on that page was one that was being delivered by the proxy cache (HTTP => HTTPS)  I'm not sure the fancybox addon is aware of how to deal with the image proxy addon, that would have to be looked at.

Re: cache error + Highslide-Image-Viewer

Reply #8

Thanks guys!